Package ru.bitel.bgbilling.modules.voice.common.service

# Interface VoiceZoneMapService

@MTOM(enabled=true, threshold=1024) public interface VoiceZoneMapService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `importZoneMap(int zomeMapId, int mode, String importContent)`
  Импорт элементов карты зон.
  `int`
  `voiceZoneMapDelete(int zoneMapId)`
  Удаление карты зон из БД.
  `int`
  `voiceZoneMapItemDelete(List<Integer> itemIds)`
  Удаление элемента (ов) карты зон по его идентификатору.
  `VoiceZoneMapItem`
  `voiceZoneMapItemGet(int itemId)`
  Получение одного конкретного элемента карты зон по его идентификатору.
  `void`
  `voiceZoneMapItemTree(int zoneMapId, jakarta.xml.ws.Holder<jakarta.activation.DataHandler> content)`
  Получение списка элементов у карты зон.
  `int`
  `voiceZoneMapItemUpdate(VoiceZoneMapItem item)`
  Добавление/редактирование элемента карты зон.
  `List<VoiceZoneMap>`
  `voiceZoneMapList()`
  Получение общего списка карт зон.
  `int`
  `voiceZoneMapUpdate(VoiceZoneMap zoneMap)`
  Добавление/Редактирование карты зон в БД.

- ## Method Details

  - ### voiceZoneMapList

    List<VoiceZoneMap> voiceZoneMapList() throws Exception
    Получение общего списка карт зон.
    Returns:
      список карт зон.
    Throws:
      `BGException`
      `Exception`

  - ### voiceZoneMapUpdate

    int voiceZoneMapUpdate(VoiceZoneMap zoneMap) throws Exception
    Добавление/Редактирование карты зон в БД.
    Parameters:
      `zoneMap` - карта зон.
    Returns:
      код добавленной/обновленной записи.
    Throws:
      `BGException`
      `Exception`

  - ### voiceZoneMapDelete

    int voiceZoneMapDelete(int zoneMapId) throws Exception
    Удаление карты зон из БД.
    Parameters:
      `zoneMapId` - код удаляемой карты зон.
    Returns:
      код удаленной карты зон.
    Throws:
      `BGException`
      `Exception`

  - ### voiceZoneMapItemTree

    void voiceZoneMapItemTree(int zoneMapId, jakarta.xml.ws.Holder<jakarta.activation.DataHandler> content) throws Exception
    Получение списка элементов у карты зон.
    Parameters:
      `zoneMapId` - код карты зон.
      `date` - дата, на которую выводится дерево с элементами карты зон
      `content` - содержимое дерева элементов карты зон, представленное в виде сериализованного стандартными средствами Java объекта VoiceZoneMapItem
    Throws:
      `BGException`
      `Exception`

  - ### voiceZoneMapItemGet

    VoiceZoneMapItem voiceZoneMapItemGet(int itemId) throws Exception
    Получение одного конкретного элемента карты зон по его идентификатору.
    Parameters:
      `itemId` - id элемента
    Returns:
      элемент карты зон
    Throws:
      `BGException`
      `Exception`

  - ### voiceZoneMapItemUpdate

    int voiceZoneMapItemUpdate(VoiceZoneMapItem item) throws Exception
    Добавление/редактирование элемента карты зон.
    Parameters:
      `item` - добавляемый/редактируемый элемент карты зон.
    Returns:
      код добавленного/отредактированного элемента карты зон.
    Throws:
      `BGException`
      `Exception`

  - ### voiceZoneMapItemDelete

    int voiceZoneMapItemDelete(List<Integer> itemIds) throws Exception
    Удаление элемента (ов) карты зон по его идентификатору.
    Parameters:
      `itemIds` - список id элементов карты зон, подлежащих удалению.
    Returns:
      кол-во удаленных элементов
    Throws:
      `BGException`
      `Exception`

  - ### importZoneMap

    String importZoneMap(int zomeMapId, int mode, String importContent) throws Exception
    Импорт элементов карты зон.
    Parameters:
      `zomeMapId` - код карты цен, в которую импортируются элементы
      `mode` - =0 из текстово поля =1 из xmlфайла
      `importContent` - данные
    Throws:
      `BGException`
      `Exception`